Data Structures | Public Types | Public Member Functions | Static Public Attributes | Private Attributes

# ICUParagraphLayout Class Reference

Wrapper for doing layouts with ICU. More...

Inheritance diagram for ICUParagraphLayout:

## Data Structures
class | ICULine
| A single line worth of VisualRuns. More...
class | ICUVisualRun
| Visual run contains data about the bit of text with the same font. More...
## Public Types
typedef UChar | CharType
| Helper for GetLayouter, to get the right type.
## Public Member Functions
| ICUParagraphLayout (ParagraphLayout *p)
void | Reflow ()
ParagraphLayouter::Line * | NextLine (int max_width)
## Static Public Attributes
static const bool | SUPPORTS_RTL = true
| Helper for GetLayouter, to get whether the layouter supports RTL.
## Private Attributes
ParagraphLayout * | p
| The actual ICU paragraph layout.

## Detailed Description

Wrapper for doing layouts with ICU.

Definition at line 126 of file gfx_layout.cpp.

## Member Typedef Documentation

typedef UChar ICUParagraphLayout::CharType

Helper for GetLayouter, to get the right type.

Definition at line 130 of file gfx_layout.cpp.

## Field Documentation

const bool ICUParagraphLayout::SUPPORTS_RTL = true`[static]`

Helper for GetLayouter, to get whether the layouter supports RTL.

Definition at line 132 of file gfx_layout.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout.cpp